Subject: RE: draft-nielsen-v6ops-3GPP-zeroconf-goals-00.txt

From: "Karen E. Nielsen (AH/LMD)" <[email-masked]>
Date: Thu, 4 Nov 2004 09:03:12 +0100

Pekka,

No disagreement there.

The tricky exercise, of course, is to identify 
the necessary features (the reasonable means)
that such 3GPP pilot IPv6 applications 
would depend on.

BR, Karen

> -----Original Message-----
> From: Pekka Savola [mailto:[email-masked]]
> Sent: Tuesday, November 02, 2004 6:15 PM
> To: Karen E. Nielsen (AH/LMD)
> Cc: 'the otter'; [email-masked]; [email-masked]
> Subject: RE: draft-nielsen-v6ops-3GPP-zeroconf-goals-00.txt
> 
> 
> On Tue, 2 Nov 2004, Karen E. Nielsen (AH/LMD) wrote:
> >> IMHO the issue I see with leaving these out is the transition
> >> mechanism
> >> becomes a solution for only the most basic of "web" type services.
> >> While this makes the solution simple, it removes the motivation for
> >> IPv6 within the 3GPP network. It is important to at least match or
> >> mimic the functionality available in the IPv4 domain.
> >
> > Tunnelling in 3GPP is not intended to provide full emulation of
> > the native IPv4 or native IPv6 services, since that would 
> basically require
> > full dual IP support in all related 3GPP signalling interfaces.
> 
> Without knowing the details here, I'll have to personally join in the 
> first mentioned sentiment: as far as I see it, the UE 
> tunneling offers 
> the operators and UE vendors the chance to pilot IPv6 application 
> deployments etc. without requiring immediate upgrades in the 3GPP 
> network.
> 
> Unless the tunneling can provide a reasonable means to test out at 
> least some potential applications that could be realized with IPv6, 
> then its applicability might be a bit questionable.
> 
> Remember, IPv6 isn't all that inrestesting just because of a dancing 
> turtle on a web page ;-).  It needs to provide a way to deploy nice 
> new applications.  Even though full functions of IPv6 were not yet 
> realized with the tentative tunneling solution, IMHO it 
> should provide 
> at least basic means to deploy some novel IPv6 applications (e.g., 
> relativng to peer-to-peer).
> 
> -- 
> Pekka Savola                 "You each name yourselves king, yet the
> Netcore Oy                    kingdom bleeds."
> Systems. Networks. Security. -- George R.R. Martin: A Clash of Kings
>